package com.gci.boot.modules.vehicles.service;

import com.gci.boot.common.vo.Result;
import com.gci.boot.modules.vehicles.vo.BacklogStatisVO;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

public interface BacklogService {

    //获取用户当前待办操作按钮
    Map<String, List<Integer>> getUserBacklogButton();

    //获取分页数据
    Result getBacklogPageList(Integer pageNo, Integer pageSize, String type, HttpServletRequest req);

    //获取统计分页总数
    List<BacklogStatisVO> getBacklogStatis(HttpServletRequest req);
}
